.\"
.\" Copyright (c) 2008
.\"	The DragonFly Project.  All rights reserved.
.\" 
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in
.\"    the documentation and/or other materials provided with the
.\"    distribution.
.\" 3. Neither the name of The DragonFly Project nor the names of its
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific, prior written permission.
.\" 
.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
.\" LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
.\" COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
.\" OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $DragonFly: src/share/man/man4/iwl.4,v 1.1 2008/03/09 11:04:35 swildner Exp $
.\"
.Dd March 9, 2008
.Os
.Dt IWL 4
.Sh NAME
.Nm iwl
.Nd Intel(R) PRO/Wireless 2100 IEEE 802.11 driver
.Sh SYNOPSIS
To compile this driver into the kernel,
place the following lines in your
kernel configuration file:
.Bd -ragged -offset indent
.Cd "device iwl"
.Ed
.Pp
Alternatively, to load the driver as a
module at boot time, place the following line in
.Xr loader.conf 5 :
.Bd -literal -offset indent
if_iwl_load="YES"
.Ed
.Sh DESCRIPTION
The
.Nm
driver provides support for the Intel(R) PRO/Wireless 2100 MiniPCI network
adapter.
.Pp
By default, the
.Nm
driver configures the adapter for BSS operation (aka infrastructure mode).
This mode requires the use of an access point.
.Pp
For more information on configuring this device, see
.Xr ifconfig 8 .
.Sh FILES
The firmware for the adapter is not shipped with
.Dx
and must be obtained separately.
An archive with firmware files that are known to work can be found at:
.Bd -literal -offset indent
http://ipw2100.sourceforge.net/firmware.php?fid=4
.Ed
.Pp
The firmware files have to reside in
.Pa /etc/firmware/iwl/2100/1.3
and will be loaded when the interface is brought up.
.Sh EXAMPLES
Join an existing BSS network (ie: connect to an access point):
.Pp
.Dl "ifconfig iwl0 inet 192.168.0.20 netmask 0xffffff00"
.Pp
Join a specific BSS network with network name
.Dq Li my_net :
.Pp
.Dl "ifconfig iwl0 inet 192.168.0.20 netmask 0xffffff00 ssid my_net"
.Pp
Join a specific BSS network with 64 bits WEP encryption:
.Bd -literal -offset indent
ifconfig iwl0 inet 192.168.0.20 netmask 0xffffff00 ssid my_net \e
        wepmode on wepkey 0x1234567890
.Ed
.Pp
Join a specific BSS network with 128bits WEP encryption:
.Bd -literal -offset indent
ifconfig iwl0 inet 192.168.0.20 netmask 0xffffff00 ssid my_net \e
        wepmode on wepkey 0x01020304050607080910111213
.Ed
.\".Sh DIAGNOSTICS
.\".Bl -diag
.\".It "iwl%d: device timeout"
.\"The driver will reset the hardware. This should not happen.
.\".El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr pci 4 ,
.Xr wlan 4 ,
.Xr ifconfig 8 ,
.Xr wpa_supplicant 8
.Sh HISTORY
The
.Nm
first appeared in
.Dx 1.13 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Sepherosa Ziehau .
